### CONFIGURATION START ###
ENABLE_SHORT_BLIND  = True
ENABLE_LONG_BLIND   = True
ENABLE_SHORT_FREEZE = True
ENABLE_LONG_FREEZE  = True
ENABLE_SHORT_BURN   = True
ENABLE_LONG_BURN    = True
ENABLE_SMALL_PUSH   = True
ENABLE_BIG_PUSH     = True
###  CONFIGURATION END  ###
import es
import random

main = es.import_addon('random_effects')

def load():
    if ENABLE_SHORT_BLIND:
        main.register('shortblind', shortblind, 30)
    if ENABLE_LONG_BLIND:
        main.register('longblind', longblind, 5)
    if ENABLE_SHORT_FREEZE:
        main.register('shortfreeze', shortfreeze, 30)
    if ENABLE_LONG_FREEZE:
        main.register('longfreeze', longfreeze, 5)
    if ENABLE_SHORT_BURN:
        main.register('shortburn', shortburn, 30)
    if ENABLE_LONG_BURN:
        main.register('longburn', longburn, 5)
    if ENABLE_SMALL_PUSH:
        main.register('smallpush', smallpush, 30)
    if ENABLE_BIG_PUSH:
        main.register('bigpush', bigpush, 5)
    
def shortblind(player):
    effect = random.choice([0.5,1,1.5,2])
    player.blind(255, effect)
    player.tell('Blinded for %s seconds' % effect)
    
def longblind(player):
    effect = random.choice([1.5,2,2.5,3,2.5,4])
    player.blind(255, effect)
    player.tell('Blinded for %s seconds' % effect)
    
def shortfreeze(player):
    effect = random.choice([0.5,1,1.5,2])
    player.freeze(effect)
    player.tell('Frozen for %s seconds' % effect)
    
def longfreeze(player):
    effect = random.choice([1.5,2,2.5,3,2.5,4])
    player.freeze(effect)
    player.tell('Frozen for %s seconds' % effect)
    
def shortburn(player):
    effect = random.randint(1,5)
    player.burn(effect)
    player.tell('Burned for %s seconds' % effect)
    
def longburn(player):
    effect = random.randint(2,10)
    player.burn(effect)
    player.tell('Burned for %s seconds' % effect)
    
def smallpush(player):
    player.push(random.randint(-15,15), random.randint(10,50))
    player.tell('Pushed!')
    
def bigpush(player):
    player.push(random.randint(-35,35), random.randint(25,100))
    player.tell('Pushed!')